Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] main/umurmur: upgrade to 0.2.16a

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 11 Feb 2016 18:26:44 +0100

Also compile with OpenSSL instead of polarssl because this was the only
package still needing main/mbedtls1 furthermore we usually compile
packages with OpenSSL instead of polarssl by default.
---
 main/umurmur/APKBUILD | 66 +++++++++++++++++++++++++++------------------------
 1 file changed, 35 insertions(+), 31 deletions(-)
diff --git a/main/umurmur/APKBUILD b/main/umurmur/APKBUILD
index 9850324..4998c96 100644
--- a/main/umurmur/APKBUILD
+++ b/main/umurmur/APKBUILD
_at_@ -1,70 +1,74 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Leonardo Arena <rnalrd_at_alpinelinux.org>
 pkgname=umurmur
-pkgver=0.2.16
-pkgrel=3
+pkgver=0.2.16a
+pkgrel=0
 pkgdesc="Minimalistic Mumble server primarily targeted to run on routers"
-url="https://code.google.com/p/umurmur/"
+url="http://umurmur.net/"
 arch="all"
-license="Custom"
-depends=
-depends_dev=
-makedepends="$depends_dev libconfig-dev mbedtls1-dev protobuf-c-dev autoconf
-             automake libtool"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libconfig-dev openssl-dev protobuf-c-dev autoconf automake"
 install="$pkgname.post-install $pkgname.post-deinstall"
 subpackages="$pkgname-doc"
 pkgusers="umurmur"
 pkggroups="umurmur"
-source="umurmur-$pkgver.tar.gz::https://github.com/fatbob313/$pkgname/archive/$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/$pkgver.tar.gz
 	$pkgname.initd
 	$pkgname.confd
 	$pkgname.conf
 	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-
 prepare() {
 	local i
 	cd "$_builddir"
-        for i in $source; do
-                case $i in
-                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-                esac
-        done
-	autoreconf -fi
+	for i in $source; do
+		case $i in
+			*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+
+	autoreconf -fi || return 1
 }
 
 build() {
 	cd "$_builddir"
-	./configure --prefix=/usr \
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--with-ssl=polarssl
+		--localstatedir=/var \
+		--with-ssl=openssl \
+		|| return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
-	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/umurmurd
-	install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/umurmurd
-	install -m644 -D "$srcdir"/$pkgname.conf "$pkgdir"/etc/umurmur/umurmurd.conf
-	mkdir -p "$pkgdir"/usr/share/doc/umurmur
-	install -m644 -D "$_builddir"/AUTHORS "$pkgdir"/usr/share/doc/umurmur || return 1
-	install -m644 -D "$_builddir"/ChangeLog "$pkgdir"/usr/share/doc/umurmur || return 1
-	install -m644 -D "$_builddir"/LICENSE "$pkgdir"/usr/share/doc/umurmur || return 1
-	install -m644 -D "$_builddir"/README.md "$pkgdir"/usr/share/doc/umurmur || return 1
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 "$srcdir"/$pkgname.conf "$pkgdir"/etc/$pkgname/umurmurd.conf
+
+	install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+	install -Dm644 AUTHORS ChangeLog README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/
 }
 
-md5sums="5d6f5b01a0fc357e26ea9ed433031bb9  umurmur-0.2.16.tar.gz
+md5sums="061aa71eb059eb00d2b123ec9200b405  umurmur-0.2.16a.tar.gz
 d0d19cdbba8ec2796a3924febe153927  umurmur.initd
 aa4ea345abedc55ef4f0a2be1cbd7168  umurmur.confd
 3239959c53f9df8beeb9c1d1ba4c2cf6  umurmur.conf"
-sha256sums="9b505826f0d13e60d5fd5d27cee486a11609faad45b5e229b99190aeaa846111  umurmur-0.2.16.tar.gz
+sha256sums="d64df8f77ceaa4951d7f2adbb2dcc173841d1e387ef4cd2082c42150a84349a5  umurmur-0.2.16a.tar.gz
 5db7db929abb829b4e586a9973a12ae4a36a6eb603d1fe6b239abbc5d60a4a61  umurmur.initd
 e994d68b860923acaa22cce1864d781fa8299203ba64121cc871bbfee4febad2  umurmur.confd
 6d34c8915d7d2cbd21cdb9d3ff1f9227c48d458046481c785a260e1faeae233f  umurmur.conf"
-sha512sums="16c6bcdb306ce323ee704ae94d537c3305556d11ae1288d15794051fc70272e93f02044831303277dcc24ba6b8412a5a38b07a02737af68d1960c150d4fafeac  umurmur-0.2.16.tar.gz
+sha512sums="432a85e93cb7d53c505caf8b97c1bb7c173c8f625127510de61cc0a1e3abaea9abcf96ab1c0a8c5039ba82af5d29710e4973f70c1438bfd44ba00fa0c3f64c9e  umurmur-0.2.16a.tar.gz
 1c22da6478738b8ac77aecbbf8e41260a957ddffec350020e56b622c70445ebf8dc28feb563b878f2c64132742d8e1e0cbcbd2a50f0c0b29a309ca29598d8c94  umurmur.initd
 b6412621522c9148d5eaced25ff4fb023b0c84206a969120e261b4a89386c46961f1c485435a1763935f538c04c03f7b4b83d45779f1ba796b627cdb0d2436a0  umurmur.confd
 563573c405013bdf9d76003d68eb9619064659dc1e1b8b1fde24c0e587a807202bf62efe7f227cc95ff8b6db68a2ace3f0f359cef74c1bf5f1582815dd623501  umurmur.conf"
-- 
2.7.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Feb 11 2016 - 18:26:44 GMT